#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.ExcelRW;
using System.Diagnostics;

namespace ExportFromGrid
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private ExportFromGrid.DataSet1 dataSet11;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.dataSet11 = new ExportFromGrid.DataSet1();
			this.button1 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
			((System.ComponentModel.ISupportInitialize)(this.dataSet11)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// dataSet11
			// 
			this.dataSet11.DataSetName = "DataSet1";
			this.dataSet11.Locale = new System.Globalization.CultureInfo("en-US");
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(120, 304);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(168, 32);
			this.button1.TabIndex = 1;
			this.button1.Text = "Export to Excel";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(368, 304);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(168, 32);
			this.button2.TabIndex = 2;
			this.button2.Text = "View Excel File";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// gridControl1
			// 
			this.gridControl1.Location = new System.Drawing.Point(40, 32);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.Size = new System.Drawing.Size(592, 240);
			this.gridControl1.TabIndex = 3;
			this.gridControl1.Text = "gridControl1";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(672, 358);
			this.Controls.Add(this.gridControl1);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.button1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.dataSet11)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			for (int i = 1;i<this.gridControl1.ColCount;i++)
			{
				for(int j=1; j<this.gridControl1.RowCount;j++)
				{
					this.gridControl1[i,j].Text = "Syncfusion";
					this.gridControl1[i,j].Font.Bold = true;
				}
			}
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			//Exports the DataTable to a spreadsheet.

			//New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].
			//The instantiation process consists of two steps.

			//Step 1 : Instantiate the spreadsheet creation engine.
			ExcelEngine excelEngine = new ExcelEngine();
			//Step 2 : Instantiate the excel application object.
			IApplication application = excelEngine.Excel;

			//A new workbook is created.[Equivalent to creating a new workbook in MS Excel]
			//The new workbook will have 3 worksheets
			IWorkbook workbook = application.Workbooks.Create(3); 
			//The first worksheet object in the worksheets collection is accessed.
			IWorksheet sheet = workbook.Worksheets[0];	

			for (int i = 1;i<this.gridControl1.ColCount;i++)
			{
				for(int j=1; j<this.gridControl1.RowCount;j++)
				{
					bool fontColor = this.gridControl1[i,j].Font.Bold;
					sheet.Range[j,i].Value2 = this.gridControl1[i,j].Text;
					if(fontColor)
					{
						sheet.Range[j,i].CellStyle.Font.Bold = true;
					}
					fontColor = false;
				}
			}	
		
			#region Saving Workbook
			//Saving the workbook to disk.
			workbook.SaveAs("Sample.xls");

			//No exception will be thrown if there are unsaved workbooks.
			excelEngine.ThrowNotSavedOnDestroy = false;
			; 
			MessageBox.Show("WorkBook has been created");
			# endregion		
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			// Open the Excel File created by Essential Excel RW
			Process proc = new Process(); 
			proc.StartInfo.FileName = "Sample.xls"; 
			proc.Start();
			
		
		}
	}	
}
